Get Collection
curl --request GET \
--url https://{instance}.domo.com/api/datastores/v1/collections/{collectionId} \
--header 'X-DOMO-Developer-Token: <api-key>'import requests
url = "https://{instance}.domo.com/api/datastores/v1/collections/{collectionId}"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/api/datastores/v1/collections/{collectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "232e6d6c-46e9-49b6-a137-8933f0f05999",
"datastoreId": "39b88a97-8247-4c0d-ba1d-8ed78d1a6680",
"defaultPermissions": null,
"requiredAuthorities": null,
"owner": 870010733,
"name": "users",
"datasourceId": null,
"schema": {
"columns": [
{
"type": "STRING",
"name": "username"
},
{
"type": "STRING",
"name": "email"
}
]
},
"filters": null,
"syncEnabled": true,
"syncRequired": false,
"fullReplaceRequired": false,
"lastSync": null,
"createdOn": "2024-01-15T18:42:30.115Z",
"updatedOn": "2024-01-15T18:42:30.115Z",
"updatedBy": 870010733
}{
"message": "Cannot find permission from source [USER:870010733] to target [MAGNUM_COLLECTION:a3f7d891-bc24-4e56-9a12-c7e3b0f845d2]. Permission Service reports that one or both does not exist",
"status": 404,
"statusReason": "Not Found",
"toe": "RG3808D5LS-DHKE4-TG5EB"
}Get Collection
Get a collection by ID.
GET
/
api
/
datastores
/
v1
/
collections
/
{collectionId}
Get Collection
Authorizations
Domo Developer Token for authentication.
Path Parameters
The ID of the collection.
Response
OK
Unique identifier for the collection.
ID of the datastore this collection belongs to.
Comma-separated default permission set for new app grants on this collection, or null if not set.
Maps CollectionOperation names to required authority strings, or null if not set.
User ID of the collection owner.
Name of the collection.
ID of the linked Domo DataSet, or null if not yet linked.
Show child attributes
Show child attributes
Array of document-level filter predicates applied to read operations, or null if not set.
Whether documents are periodically synced to the linked DataSet.
Whether a sync is pending.

